Tkinter入门
前页 | Chapter 25. The Entry Widget | 后页

# Options

The `Entry` widget support the following options:

Table 25-1. Entry Options

Option | Type | Description
--- | --- | ---
`background (bg)` | color | Widget background.
`borderwidth (bd)` | distance | Border width.
`cursor` | cursor | Widget cursor. The default is a text insertion cursor (typically an "I beam" cursor, e.g. `xterm`).
`exportselection` | flag | If true, selected text is automatically exported to the clipboard. Default is true.
`font` | font | Widget font. The default is system specific.
`foreground (fg)` | color | Text color.
`highlightbackground, highlightcolor` | color | Controls how to draw the focus highlight border. When the widget has focus, the border is drawn in the `highlightcolor` color. Otherwise, it is drawn in the `highlightbackground` color. The defaults are system specific.
`highlightthickness` | distance | Controls the width of the focus highlight border. Default is typically one or two pixels.
`insertbackground` | color | Color used for the insertion cursor.
`insertborderwidth` | color |
`insertofftime, insertontime` | int | Controls cursor blinking.
`insertwidth` | int | Width of the insertion cursor.
`justify` | const |
`relief` | const | Border decoration. The default is `FLAT`. Other possible values are `SUNKEN`, `RAISED`, `GROOVE`, and `RIDGE`.
`selectbackground` | color | Selection background color. The default is system and display specific.
`selectborderwidth` | int | Selection border width. The default is system specific.
`selectforeground` | color | Selection text color. The default is system and display specific.
`show` | character | Controls how to display the contents of the widget. If non-empty, the widget displays a string of characters instead of the actual contents. To get a password entry widget, use "*".
`state` | const | One of `NORMAL` or `DISABLED`. Default is `NORMAL`. Note that if you set this to `DISABLED`, calls to `insert` or `delete` are ignored.
`takefocus` | flag | Indicates that the user can use the Tab key to move to this widget. Default is an empty string, which means that the canvas accepts focus only if it has any keyboard bindings (default is on, in other words).
`textvariable` | variable |
`width` | int |
`xscrollcommand` | callback |

前页 | Home | 后页
Methods | Up | The Font Class